=== debian/changelog ===
fenicsx-performance-tests (0.0~git20210119.80e82ac-1) unstable; urgency=medium

  * New upstream snapshot.
  * Build-Depends: libdolfinx-dev (>= 2019.2.0~git20210130.c14cb0a~)

 -- Drew Parsons <dparsons@debian.org>  Fri, 12 Feb 2021 16:35:21 +0100

fenicsx-performance-tests (0.0~git20201119.890eff6-3) unstable; urgency=medium

  * Build-Depends: libboost-dev

 -- Drew Parsons <dparsons@debian.org>  Sun, 31 Jan 2021 09:31:22 +0100

fenicsx-performance-tests (0.0~git20201119.890eff6-2) unstable; urgency=medium

  * apply Restrictions: allow-stderr to dolfinx-performance-test-source
    in debian/tests to ignore compilation warnings sent to stderr.

 -- Drew Parsons <dparsons@debian.org>  Fri, 20 Nov 2020 15:25:11 +0800

fenicsx-performance-tests (0.0~git20201119.890eff6-1) unstable; urgency=medium

  * New upstream snapshot.
  * Standards-Version: 4.5.1
  * drop debian patch check_arch_flag.patch.
    -march-native is no longer applied in CMakeLists.txt
  * Test errors (build or CI) now trigger failure.

 -- Drew Parsons <dparsons@debian.org>  Fri, 20 Nov 2020 00:37:58 +0800

fenicsx-performance-tests (0.0~git20201022.8913e0f-2) unstable; urgency=medium

  * update debian patch check_arch_flag.patch to not build with
    -march=native at all if cmake variable BUILD_GENERIC_ARCH is defined
  * apply BUILD_GENERIC_ARCH to cmake configure step for binary build
    (dh_auto_configure). i.e. build binaries for distribution without
    -march=native. Closes: #974843.
  * make VERBOSE=1 with debian/tests/dolfinx-performance-test-source

 -- Drew Parsons <dparsons@debian.org>  Wed, 18 Nov 2020 19:08:07 +0800

fenicsx-performance-tests (0.0~git20201022.8913e0f-1) unstable; urgency=medium

  * New upstream snapshot.
  * provide -p EXEPATH option to debian/tests/run-dolfinx-scaling-test
    to set path to executable binary
  * run tests at build time (ignore errors for now)

 -- Drew Parsons <dparsons@debian.org>  Sat, 14 Nov 2020 00:25:38 +0800

fenicsx-performance-tests (0.0~git20200719.42769f8-3) unstable; urgency=medium

  * debian patch check_arch_flag.patch checks whether the -march or
    -mcpu compiler flag is supported before applying it.
  * mark fenicsx-performance-tests-source as Multi-Arch: foreign
  * Build-Depends: mpi-default-dev
  * set Debian Science Team as Maintainer.

 -- Drew Parsons <dparsons@debian.org>  Thu, 05 Nov 2020 00:53:27 +0800

fenicsx-performance-tests (0.0~git20200719.42769f8-2) unstable; urgency=medium

  * add src/Poisson.ufl (LGPL-3+) to debian/copyright

 -- Drew Parsons <dparsons@debian.org>  Fri, 23 Oct 2020 15:36:34 +0800

fenicsx-performance-tests (0.0~git20200719.42769f8-1) unstable; urgency=medium

  * Initial release (Closes: #970123)
  * interact with tests via debian/tests/run-dolfinx-scaling-test
  * the fenicsx-performance-tests package provides both the
    precompiled executable /usr/bin/dolfinx-scaling-test
    and the controlling run script
    /usr/share/dolfinx/performance-tests/run-dolfinx-scaling-test
    (from debian/tests/run-dolfinx-scaling-test). See README.Debian

 -- Drew Parsons <dparsons@debian.org>  Tue, 22 Sep 2020 21:30:45 +0800
