=== debian/control ===
Source: fenicsx-performance-tests
Section: libdevel
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Build-Depends: debhelper-compat (= 13),
 cmake,
 libboost-dev,
 libdolfinx-dev (>= 2019.2.0~git20210130.c14cb0a~),
 mpi-default-dev,
 python3-ffcx,
Standards-Version: 4.5.1
Homepage: https://github.com/FEniCS/performance-test
Vcs-Browser: https://salsa.debian.org/science-team/fenics/fenicsx-performance-tests
Vcs-Git: https://salsa.debian.org/science-team/fenics/fenicsx-performance-tests.git
Rules-Requires-Root: no

Package: fenicsx-performance-tests
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: fenicsx-performance-tests-source
Description: Performance test codes for FEniCS/DOLFIN-X (binaries)
 This package contains solvers for testing the parallel performance of
 DOLFIN-X and the underlying linear solvers. It tests elliptic
 equations - Poisson equation and elasticity - in three dimensions.
 .
 DOLFIN-X is the next-generation Finite Element solver developed by
 the FEniCS project.
 .
 This package provides precompiled binaries.

Package: fenicsx-performance-tests-source
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: cmake,
 libdolfinx-dev,
 mpi-default-dev,
 python3-ffcx
Suggests: fenicsx-performance-tests
Description: Performance test codes for FEniCS/DOLFIN-X (source)
 This package contains solvers for testing the parallel performance of
 DOLFIN-X and the underlying linear solvers. It tests elliptic
 equations - Poisson equation and elasticity - in three dimensions.
 .
 DOLFIN-X is the next-generation Finite Element solver developed by
 the FEniCS project.
 .
 This package provides source code for tests.
