=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ --buildsystem=cmake --sourcedirectory=src

override_dh_auto_test:
	debian/tests/run-dolfinx-scaling-test -p $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)
