=== debian/tests/control ===
Tests: dolfinx-performance-test-binary
Depends: @, @builddeps@

Tests: dolfinx-performance-test-source
Depends: @, @builddeps@
Restrictions: allow-stderr
