=== debian/changelog ===
fenicsx-performance-tests (0.4.0-1) unstable; urgency=medium

  * add debian/watch for uscan
  * New upstream release (FEniCS-X 0.4)
    - replaces Poisson.ufl with Poisson.py under same MIT licence as
      other files
  * restrict debian tests to 3 cpus to aid performance in chroots
  * allow stderr in binary tests (test progress is printed to stderr)
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Mon, 27 Jun 2022 21:23:42 +0200

fenicsx-performance-tests (0.0~git20210901.25e932a-1) unstable; urgency=medium

  * New upstream snapshot for dolfinx 0.3.0.
  * versioned Build-Depends: cmake (>= 3.16~)
  * drop explicit Build-Depends: libbasix-dev
  * build executables without RPATH to use preferred libpetsc_real.so
    configured by alternatives
  * Standards-Version: 4.6.0

 -- Drew Parsons <dparsons@debian.org>  Sun, 24 Oct 2021 00:11:52 +0200

fenicsx-performance-tests (0.0~git20210410.63b5b42-2) experimental; urgency=medium

  * add debian patch enable_complex_build.patch to invoke
    ffcx --scalar_type "double complex" when building tests against
    the complex number build of dolfinx,
    for example with PETSC_DIR=/usr/lib/petscdir/petsc-complex
  * use Poisson test with hypre only if built against real PETSc
    (complex petsc does not yet support hypre)

 -- Drew Parsons <dparsons@debian.org>  Tue, 13 Apr 2021 01:14:48 +0200

fenicsx-performance-tests (0.0~git20210410.63b5b42-1) experimental; urgency=medium

  * New upstream snapshot
    - tests dolfinx using basix with xtl,xtensor,xtensor-blas
    - Depends: libbasix-dev, xtensor-dev,
       libdolfinx-dev (>= 2019.2.0~git20210410.b421249~)
  * fenicsx-performance-tests-source Recommends: libboost-dev (>= 1.70~)

 -- Drew Parsons <dparsons@debian.org>  Mon, 12 Apr 2021 11:58:09 +0200
