=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 13),
- cmake,
- libboost-dev,
- libdolfinx-dev (>= 2019.2.0~git20210130.c14cb0a~),
+ cmake (>= 3.16~),
+ libboost-dev (>= 1.70~),
+ libdolfinx-dev (>= 0.4.1~),
  mpi-default-dev,
  python3-ffcx,
-Standards-Version: 4.5.1
+ xtensor-dev
+Standards-Version: 4.6.1
 Homepage: https://github.com/FEniCS/performance-test
 Vcs-Browser: https://salsa.debian.org/science-team/fenics/fenicsx-performance-tests
 Vcs-Git: https://salsa.debian.org/science-team/fenics/fenicsx-performance-tests.git
@@ -34,9 +35,11 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: cmake,
- libdolfinx-dev,
+ libboost-dev (>= 1.70~),
+ libdolfinx-dev (>= 0.4.1~),
  mpi-default-dev,
- python3-ffcx
+ python3-ffcx,
+ xtensor-dev
 Suggests: fenicsx-performance-tests
 Description: Performance test codes for FEniCS/DOLFIN-X (source)
  This package contains solvers for testing the parallel performance of
