## fenicsx-performance-tests 0.5.0~git20220731.821823b

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
 
 # Use C++17
-set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
