=== debian/changelog ===
fenicsx-performance-tests (0.5.0~git20220731.821823b-1) unstable; urgency=medium

  * New upstream snapshot for dolfinx 0.5

 -- Drew Parsons <dparsons@debian.org>  Thu, 22 Sep 2022 13:53:55 +0200
