=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
  cmake (>= 3.16~),
  libboost-dev (>= 1.70~),
- libdolfinx-dev (>= 0.4.1~),
+ libdolfinx-dev (>= 0.5~),
  mpi-default-dev,
  python3-ffcx,
  xtensor-dev
@@ -36,7 +36,7 @@
 Depends: ${misc:Depends}
 Recommends: cmake,
  libboost-dev (>= 1.70~),
- libdolfinx-dev (>= 0.4.1~),
+ libdolfinx-dev (>= 0.5~),
  mpi-default-dev,
  python3-ffcx,
  xtensor-dev
