=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,8 @@
 %:
 	dh $@ --buildsystem=cmake --sourcedirectory=src
 
+override_dh_auto_configure:
+	dh_auto_configure -- -D CMAKE_SKIP_RPATH:BOOL=ON -DCMAKE_INSTALL_RPATH_USE_LINK_PATH:BOOL=OFF
+
 override_dh_auto_test:
 	debian/tests/run-dolfinx-scaling-test -p $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)
