## fenicsx-performance-tests 0.6.0~git20221116.5c95102

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include(GNUInstallDirs)
 set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
 
-# Use C++17
+# Use C++20
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
