=== debian/changelog ===
fenicsx-performance-tests (0.6.0~git20221116.5c95102-2build1) mantic; urgency=medium

  * No-change rebuild against libdolfinx-real0.6gcc13

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Sep 2023 00:19:10 +0000

fenicsx-performance-tests (0.6.0~git20221116.5c95102-2) unstable; urgency=medium

  * drop Depends: xtensor-dev.
    dolfinx 0.6 now uses autopointers with std::vector (C++20)
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Mon, 26 Jun 2023 16:06:10 +0200

fenicsx-performance-tests (0.6.0~git20221116.5c95102-1exp4) experimental; urgency=medium

  * libdolfinx-dev is not a dummy dependency package.
    Depends: libdolfinx-dev (and libdolfinx-real-dev)

 -- Drew Parsons <dparsons@debian.org>  Tue, 17 Jan 2023 17:56:32 +0100

fenicsx-performance-tests (0.6.0~git20221116.5c95102-1exp3) experimental; urgency=medium

  * update debian patch enable_complex_build.patch to C99 standard for
    complex numbers (double _Complex) as used now by ffcx (ffcx PR#396)
  * Notwithstanding the change above, Depends: libdolfinx-real-dev
    since a complex build currently fails with g++ 12 (see upstream PR#89)

 -- Drew Parsons <dparsons@debian.org>  Tue, 17 Jan 2023 16:57:53 +0100

fenicsx-performance-tests (0.6.0~git20221116.5c95102-1exp2) experimental; urgency=medium

  * Depends: add epoch to libdolfinx-dev version

 -- Drew Parsons <dparsons@debian.org>  Tue, 17 Jan 2023 14:57:28 +0100

fenicsx-performance-tests (0.6.0~git20221116.5c95102-1exp1) experimental; urgency=medium

  * New upstream snapshot for dolfinx 0.6

 -- Drew Parsons <dparsons@debian.org>  Mon, 16 Jan 2023 03:39:22 +0100
