=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: fenicsx-performance-tests
 Section: libdevel
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 13),
  cmake (>= 3.16~),
  libboost-dev (>= 1.70~),
- libdolfinx-dev (>= 0.5~),
+ libdolfinx-dev (>= 1:0.6~), libdolfinx-real-dev,
  mpi-default-dev,
- python3-ffcx,
- xtensor-dev
-Standards-Version: 4.6.1
+ python3-ffcx
+Standards-Version: 4.6.2
 Homepage: https://github.com/FEniCS/performance-test
 Vcs-Browser: https://salsa.debian.org/science-team/fenics/fenicsx-performance-tests
 Vcs-Git: https://salsa.debian.org/science-team/fenics/fenicsx-performance-tests.git
@@ -36,10 +36,9 @@
 Depends: ${misc:Depends}
 Recommends: cmake,
  libboost-dev (>= 1.70~),
- libdolfinx-dev (>= 0.5~),
+ libdolfinx-dev (>= 1:0.6~), libdolfinx-real-dev,
  mpi-default-dev,
- python3-ffcx,
- xtensor-dev
+ python3-ffcx
 Suggests: fenicsx-performance-tests
 Description: Performance test codes for FEniCS/DOLFIN-X (source)
  This package contains solvers for testing the parallel performance of
