## fenicsx-performance-tests 0.8.0

=== debian/changelog ===
fenicsx-performance-tests (0.8.0-1build4) oracular; urgency=medium

  * No-change rebuild against mpi-defaults 1.17

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 30 Jul 2024 12:54:58 -0700

fenicsx-performance-tests (0.8.0-1build3) oracular; urgency=medium

  * Rebuild against new slepc/petsc 3.20.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 27 May 2024 07:49:25 +0200

fenicsx-performance-tests (0.8.0-1build2) oracular; urgency=medium

  * Rebuild against new slepc/petsc 3.20.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 25 May 2024 08:16:21 +0200

fenicsx-performance-tests (0.8.0-1build1) oracular; urgency=medium

  * Rebuild against new petsc/slepc 3.20 and .

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 24 May 2024 10:57:15 +0200

fenicsx-performance-tests (0.8.0-1) unstable; urgency=medium

  * New upstream release, compatible with dolfinx 0.8.0
  * Standards-Version: 4.7.0 (routine-update)
  * Fix Maintainer name of Debian Science team (routine-update)
  * Require libdolfinx-dev >= 1:0.8~
  * Add Francesco Ballarin to uploaders

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 04 May 2024 09:00:13 +0000

fenicsx-performance-tests (0.7.2-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Sat, 13 Jan 2024 14:32:41 +0100

fenicsx-performance-tests (0.7.0~git20231007.4ba90a6-1) unstable; urgency=medium

  * New upstream snapshot (for dolfinx 0.7)

 -- Drew Parsons <dparsons@debian.org>  Wed, 01 Nov 2023 09:20:55 +0100
