=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: fenicsx-performance-tests
 Section: libdevel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Drew Parsons <dparsons@debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Drew Parsons <dparsons@debian.org>,
+           Francesco Ballarin <francesco.ballarin@unicatt.it>
 Build-Depends: debhelper-compat (= 13),
  cmake (>= 3.16~),
  libboost-dev (>= 1.70~),
- libdolfinx-dev (>= 1:0.6~), libdolfinx-real-dev,
+ libdolfinx-dev (>= 1:0.8~), libdolfinx-real-dev,
  mpi-default-dev,
  python3-ffcx
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/FEniCS/performance-test
 Vcs-Browser: https://salsa.debian.org/science-team/fenics/fenicsx-performance-tests
 Vcs-Git: https://salsa.debian.org/science-team/fenics/fenicsx-performance-tests.git
@@ -36,7 +36,7 @@
 Depends: ${misc:Depends}
 Recommends: cmake,
  libboost-dev (>= 1.70~),
- libdolfinx-dev (>= 1:0.6~), libdolfinx-real-dev,
+ libdolfinx-dev (>= 1:0.8~), libdolfinx-real-dev,
  mpi-default-dev,
  python3-ffcx
 Suggests: fenicsx-performance-tests
