=== debian/changelog ===
fenicsx-performance-tests (0.9.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Wed, 06 Nov 2024 07:19:30 +0000

fenicsx-performance-tests (0.9.0-1exp1) experimental; urgency=medium

  * New upstream release, compatible with dolfinx 0.9.0
  * Require libdolfinx-dev >= 1:0.9~
  * OpenMPI 5.0 changed the name and the value of the environment variable to
    allow oversubscription from
       export OMPI_MCA_rmaps_base_oversubscribe=1
    to
       export PRTE_MCA_rmaps_default_mapping_policy=:oversubscribe
    Use the new variable name in debian/tests.
  * OpenMPI 5.0 changed the name of the environment variable to set the SSH
    agent from
       export OMPI_MCA_plm_rsh_agent=/bin/false
    to
       export PRTE_MCA_plm_ssh_agent=/bin/false
    Use the new variable name in debian/tests.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sun, 03 Nov 2024 09:56:02 +0000
