## fenicsx-performance-tests 0.10.0

=== debian/changelog ===
fenicsx-performance-tests (0.10.0-1exp1) experimental; urgency=medium

  * New upstream release for dolfinx 0.10
  * debian/rules: don't install .gitignore from source tree

 -- Drew Parsons <dparsons@debian.org>  Fri, 14 Nov 2025 19:25:37 +0100
