=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
  cmake (>= 3.16~),
  libboost-dev (>= 1.70~),
- libdolfinx-dev (>= 1:0.9~), libdolfinx-real-dev,
+ libdolfinx-dev (>= 1:0.10~), libdolfinx-real-dev,
  mpi-default-dev,
  python3-ffcx
 Standards-Version: 4.7.0
@@ -36,7 +36,7 @@
 Depends: ${misc:Depends}
 Recommends: cmake,
  libboost-dev (>= 1.70~),
- libdolfinx-dev (>= 1:0.9~), libdolfinx-real-dev,
+ libdolfinx-dev (>= 1:0.10~), libdolfinx-real-dev,
  mpi-default-dev,
  python3-ffcx
 Suggests: fenicsx-performance-tests
