=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,6 @@
 
 override_dh_auto_test:
 	debian/tests/run-dolfinx-scaling-test -p $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)
+
+execute_after_dh_install:
+	rm -f debian/fenicsx-performance-tests-source/usr/share/dolfinx/performance-tests/src/.gitignore
